%define name	cduce
%define version	0.5.0
%define release	%mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XML-oriented functional language
Source0:	http://www.cduce.org/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-0.4.1-destdir.patch
URL:		http://www.cduce.org
License:	GPL
Group:		Development/Other
BuildRequires:	ocaml
BuildRequires:	ocaml-sources
BuildRequires:	camlp4
BuildRequires:	ocaml-expat-devel
BuildRequires:	ocaml-pcre-devel
BuildRequires:	ocaml-ulex-devel
BuildRequires:	ocaml-ocamlnet-devel
BuildRequires:	ocaml-pxp-devel >= 1.1.96
BuildRequires:	findlib
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
CDuce is a modern XML-oriented functional language with innovative features. A
compiler is available under the terms of an open-source license. CDuce is
type-safe, efficient, and offer powerful constructions to work with XML
documents.

%prep
%setup -q
%patch0 -p1 -b .destdir

%build
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} \
    --docdir=%{_docdir}/%{name}-%{version} \
    --mliface=%{_prefix}/src/ocaml
make

%install
rm -rf %{buildroot}
install -d -m755 %{buildroot}/%{ocaml_sitelib}
install -d -m755 %{buildroot}/%{ocaml_sitelib}/stublibs
make install OCAMLFIND_INSTFLAGS="-destdir %{buildroot}/%{ocaml_sitelib}" DESTDIR="%{buildroot}"
rm -f %{buildroot}/%{ocaml_sitelib}/stublibs/*.so.owner

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc %{_docdir}/%{name}-%{version}
%{_bindir}/*
%{_mandir}/man1/*
%{ocaml_sitelib}/cduce


%changelog
* Fri Mar 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-3mdv2008.1
+ Revision: 181374
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Sep 06 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-2mdv2008.0
+ Revision: 80935
- fix build dependencies
- build ocaml interface
  expat support

* Sat Aug 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.0-1mdv2008.0
+ Revision: 65397
- new version

  + Per Øyvind Karlsen <pkarlsen@mandriva.com>
    - new release: 0.4.2


* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.1-1mdv2007.0
+ Revision: 124865
- fix build dependencies

* Fri Feb 23 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.4.1-1mdv2007.1
- first mdv release

